REM ECHO OFF

ECHO ===== SET PATH TO YOUR ERDAS IMAGINE 2014 INSTALLATION ======

SET IMAGINE_PATH=C:\Program Files\Intergraph\ERDAS IMAGINE 2014
SET IMAGINE_PLUGINS_BASE_PATH=C:\Program Files (x86)\Common Files\Intergraph

ECHO =========================   START   =========================

SET IMAGINE_PLUGINS_PATH=%IMAGINE_PLUGINS_BASE_PATH%\SpatialModeler\Plugins
SET TYPE=Release

REM =====================================================================================================

ECHO Change Drive and Path to Install Directory
%~d0
CD %~dp0

REM =====================================================================================================

ECHO Assuring ribbon directories exist
IF NOT EXIST "%IMAGINE_PATH%\etc\toolbox\LAStools\"                    MD "%IMAGINE_PATH%\etc\toolbox\LAStools\"
IF NOT EXIST "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"      MD "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"

ECHO Assuring Plugins diretory exists
IF NOT EXIST "%IMAGINE_PLUGINS_BASE_PATH%\SpatialModeler\"             MD "%IMAGINE_PLUGINS_BASE_PATH%\SpatialModeler\"
IF NOT EXIST "%IMAGINE_PLUGINS_BASE_PATH%\SpatialModeler\Plugins"      MD "%IMAGINE_PLUGINS_BASE_PATH%\SpatialModeler\Plugins"

REM =====================================================================================================

ECHO Installing LAStoolsRibbon Files
DEL /Q "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\*.tlbx"
COPY %TYPE%\LAStoolsRibbon.exe                                        "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\blast2dem.tlbx                                    "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasground.tlbx                                    "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasheight.tlbx                                    "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasclassify.tlbx                                  "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasthin.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasclip.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lascolor.tlbx                                     "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lassort.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasduplicate.tlbx                                 "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasnoise.tlbx                                     "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\las2iso.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\las2dem.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasgrid.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasoverlap.tlbx                                   "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasboundary.tlbx                                  "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasvalidate.tlbx                                  "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\laszip.tlbx                                       "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\lasview.tlbx                                      "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\LAStoolsIcon.ico                                  "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsRibbon\LAStoolsGroup.tlbx                                "%IMAGINE_PATH%\etc\toolbox\LAStools\"
COPY LAStoolsRibbon\LAStoolsTab.tlbx                                  "%IMAGINE_PATH%\etc\toolbox\"

REM =====================================================================================================

ECHO Installing LAStoolsCommon File(s)

COPY %TYPE%\LAStoolsCommon.dll                                        "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"

REM =====================================================================================================

ECHO Installing LAStoolsDialogEML File(s)

COPY %TYPE%\LAStoolsDialogsEML.dll                                    "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsDialogsEML\blast2dem.eml                                 "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasground.eml                                 "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasheight.eml                                 "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasclassify.eml                               "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasthin.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasclip.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lascolor.eml                                  "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lassort.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasduplicate.eml                              "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasnoise.eml                                  "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\las2iso.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\las2dem.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasgrid.eml                                   "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasoverlap.eml                                "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasboundary.eml                               "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasvalidate.eml                               "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\laszip.eml                                    "%IMAGINE_PATH%\scripts\"
COPY LAStoolsDialogsEML\lasview.eml                                   "%IMAGINE_PATH%\scripts\"

REM =====================================================================================================

ECHO Installing LAStools Spatial Modeler File(s)

COPY %TYPE%\LAStoolsSpatialModeler.dll                                "%IMAGINE_PATH%\etc\toolbox\LAStools\LAStoolsGroup\"
COPY LAStoolsSpatialModeler\LAStoolsSpatialModeler.xml                "%IMAGINE_PLUGINS_PATH%\"

REM =====================================================================================================

ECHO Installing ProcessRunner.exe

COPY %TYPE%\ProcessRunner.exe                                         "%IMAGINE_PATH%\bin\Win32release\"

REM =====================================================================================================

ECHO Installing LAStools Preference file

COPY %TYPE%\LAStools.pdf			 		      "%IMAGINE_PATH%\defaults\"

REM =====================================================================================================

ECHO =========================   DONE   =========================

PAUSE
